LibreOffice: XAreaLink Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XAreaLink Interface Referencepublished

provides methods to change the settings of a linked cell range. More...

`import "XAreaLink.idl";`

Inheritance diagram for XAreaLink:

## Public Member Functions
string | getSourceArea ()
| returns the source of the range within the source document.
void | setSourceArea ([in] string aSourceArea)
| sets the source of the range within the source document.
com::sun::star::table::CellRangeAddress | getDestArea ()
| returns the position of the linked range in the destination document.
void | setDestArea ([in] com::sun::star::table::CellRangeAddress aDestArea)
| sets the position of the linked range in the destination document.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to change the settings of a linked cell range.

See also
  com::sun::star::sheet::CellAreaLink

Developers Guide
  Spreadsheet Documents - Cell Area Links

## Member Function Documentation

## ◆ getDestArea()

com::sun::star::table::CellRangeAddress getDestArea | ( |  | ) |

returns the position of the linked range in the destination document.

## ◆ getSourceArea()

string getSourceArea | ( |  | ) |

returns the source of the range within the source document.

This can be the address of a cell or range in the form "Sheet1.A1:C5", or the name of a named range or database range.

## ◆ setDestArea()

void setDestArea | ( | [in] com::sun::star::table::CellRangeAddress | aDestArea | ) |

sets the position of the linked range in the destination document.

## ◆ setSourceArea()

void setSourceArea | ( | [in] string | aSourceArea | ) |

sets the source of the range within the source document.

This can be the address of a cell or range in the form "Sheet1.A1:C5", or the name of a named range or database range.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XAreaLink.idl